// component
import SvgColor from "@/components/svg-color";

// ----------------------------------------------------------------------

const icon = (name) => (
  <SvgColor
    src={`./assets/icons/navbar/${name}.svg`}
    sx={{ width: 1, height: 1 }}
  />
);

const navConfig = [
  {
    title: "教学中心",
    children: [
      {
        title: "实训管理",
        path: "/work/bustrain",
        icon: icon("ic-shixun"),
        key:"TEACH_TRAIN"
      },
      {
        title: "作业批阅",
        path: "/work/checkhomework",
        icon: icon("ic_book"),
        key:"TEACH_TASK"
      },
      {
        title: "成绩单",
        path: "/work/record",
        icon: icon("ic_grade"),
      },
      {
        title: "教学情况",
        path: "/work/situation",
        icon: icon("ic_jiaoxue"),
      },
    ],
  },
  {
    title: "学习中心",
    children:[
      {
        title: "我的实训",
        path: "/work/mybustrain",
        icon: icon("ic_training"),
        key:"STUDY_TRAIN"
      },
      {
        title: "我的成绩",
        path: "/work/myrecord",
        icon: icon("ic_grades"),
        key:"STUDY_ACHIEVEMENT",
      },
      {
        title: "学习记录",
        path: "/work/studyrecord",
        icon: icon("ic_list"),
      },
    
    ]
  },
  {
    title: "管理中心",
    children:[
      {
        title: "首页",
        path: "/work/app",
        icon: icon("ic_analytics"),
      },
      {
        title: "组织管理",
        path: "/work/organization",
        icon: icon("ic_org"),
      },
      {
        title: "班级管理",
        path: "/work/class",
        icon: icon("ic_class"),
      },
      {
        title: "教师管理",
        path: "/work/teacher",
        icon: icon("ic_user"),
        key:"MANAGE_TEACHER"
      },
      {
        title: "学生管理",
        path: "/work/student",
        icon: icon("ic_student"),
        key:"MANAGE_STUDENT"
      },

      {
        title: "课程管理",
        path: "/work/lessons",
        icon: icon("ic_lock"),
      },
      {
        title: "模型管理",
        path: "/work/model",
        icon: icon("ic_3d"),
      },
      {
        title: "平台日志",
        path: "/work/logs",
        icon: icon("ic_blog"),
      },
    ]
  },
];

export default navConfig;
